# Method: achievements.reveal

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.PATH_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.RevealAchievementResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#body.aspect)
- [RevealAchievementState](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#RevealAchievementState)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#try-it)

Sets the state of the achievement with the given ID to`REVEALED`for the currently authenticated player.

### HTTP request

`POST https://games.googleapis.com/games/v1/achievements/{achievementId}/reveal`

### Path parameters

|                                Parameters                                ||
|-----------------|---------------------------------------------------------|
| `achievementId` | `string` The ID of the achievement used by this method. |

### Request body

The request body must be empty.

### Response body

An achievement reveal response

If successful, the response body contains data with the following structure:

|                                                                    JSON representation                                                                     |
|------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "currentState": enum (https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#RevealAchievementState) } ``` |

|                                                                                                                                               Fields                                                                                                                                                ||
|----------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`         | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#achievementRevealResponse`.                                                                                                                                                          |
| `currentState` | `enum (`[RevealAchievementState](https://developer.android.com/games/services/web/api/rest/v1/achievements/reveal#RevealAchievementState)`)` The current state of the achievement for which a reveal was attempted. This might be`UNLOCKED`if the achievement was already unlocked. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RevealAchievementState

Possible reveal achievement states.

|                Enums                 ||
|------------|--------------------------|
| `REVEALED` | Achievement is revealed. |
| `UNLOCKED` | Achievement is unlocked. |